Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class SQLInvalidAuthorizationSpecException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  java.sql.SQLNonTransientException
                      java.sql.SQLInvalidAuthorizationSpecException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class SQLInvalidAuthorizationSpecException

extends SQLNonTransientException

The subclass of `SQLException` thrown when the SQLState class value is '28'. This indicated that the authorization credentials presented during connection establishment are not valid.

Since:
  1.6
See Also:
  Serialized Form

Constructor Summary
`SQLInvalidAuthorizationSpecException()` Constructs a `SQLInvalidAuthorizationSpecException` object.
`SQLInvalidAuthorizationSpecException(String reason)` Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`.
`SQLInvalidAuthorizationSpecException(String reason, String SQLState)` Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason` and `SQLState`.
`SQLInvalidAuthorizationSpecException(String reason, String SQLState, int vendorCode)` Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`, `SQLState` and `vendorCode`.
`SQLInvalidAuthorizationSpecException(String reason, String SQLState, int vendorCode, Throwable cause)` Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`, `SQLState`, `vendorCode` and `cause`.
`SQLInvalidAuthorizationSpecException(String reason, String SQLState, Throwable cause)` Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`, `SQLState` and `cause`.
`SQLInvalidAuthorizationSpecException(String reason, Throwable cause)` Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason` and `cause`.
`SQLInvalidAuthorizationSpecException(Throwable cause)` Constructs a `SQLInvalidAuthorizationSpecException` object with a given `cause`.

Method Summary

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException()

  Constructs a `SQLInvalidAuthorizationSpecException` object. The `reason`, `SQLState` are initialized to `null` and the vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

  Since:
    1.6

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException(String reason)

  Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`. The `SQLState` is initialized to `null` and the vender code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

  Parameters:
    `reason` - a description of the exception
  Since:
    1.6

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException(String reason,
                                                String SQLState)

  Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason` and `SQLState`. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method. The vendor code is initialized to 0.

  Parameters:
    `reason` - a description of the exception
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
  Since:
    1.6

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException(String reason,
                                                String SQLState,
                                                int vendorCode)

  Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`, `SQLState` and `vendorCode`. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

  Parameters:
    `reason` - a description of the exception
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    `vendorCode` - a database vendor specific exception code
  Since:
    1.6

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException(Throwable cause)

  Constructs a `SQLInvalidAuthorizationSpecException` object with a given `cause`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0. The `reason` is initialized to `null` if `cause==null` or to `cause.toString()` if `cause!=null`.

  Parameters:
    `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
  Since:
    1.6

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException(String reason,
                                                Throwable cause)

  Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason` and `cause`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0.

  Parameters:
    `reason` - a description of the exception.
    `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
  Since:
    1.6

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException(String reason,
                                                String SQLState,
                                                Throwable cause)

  Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`, `SQLState` and `cause`. The vendor code is initialized to 0.

  Parameters:
    `reason` - a description of the exception.
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
  Since:
    1.6

### SQLInvalidAuthorizationSpecException

    public SQLInvalidAuthorizationSpecException(String reason,
                                                String SQLState,
                                                int vendorCode,
                                                Throwable cause)

  Constructs a `SQLInvalidAuthorizationSpecException` object with a given `reason`, `SQLState`, `vendorCode` and `cause`.

  Parameters:
    `reason` - a description of the exception
    `SQLState` - an XOPEN or SQL:2003 code identifying the exception
    `vendorCode` - a database vendor-specific exception code
    `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.